This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 127407 - during scp to machine, get "eth0: can't fill rx buffer (force 0)!" messages
during scp to machine, get "eth0: can't fill rx buffer (force 0)!" messages
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-07 16:03 EDT by rob lojek
Modified: 2013-07-02 22:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 02:06:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rob lojek 2004-07-07 16:03:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
When scp'ing a large file between RHEL 3.0 machines, we'll get these
messages (dmesg) on the receiving machine:

eth0: can't fill rx buffer (force 0)!
eth0: can't fill rx buffer (force 1)!
eth0: can't fill rx buffer (force 0)!

Occasionally (1/10) the receiving machine will drop off the network &
need its network restarted.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-15.EL

How reproducible:
Always

Steps to Reproduce:
1. (on sender) dd if=/dev/zero of=/opt/test bs=1024 count=1M
2. (on sender) scp /opt/test <receiver>:/opt
3. (on receiver) watch dmesg



Actual Results:  Every 2s: dmesg                                     
                                         Wed Jul  7 12:58:14 2004

eth0: can't fill rx buffer (force 0)!
eth0: can't fill rx buffer (force 1)!
eth0: can't fill rx buffer (force 0)!



Expected Results:  no errors

Additional info:

both machines are using the eepro100 network driver--I haven't tried
e100 yet.

here are the ssh rpm's on each machine:

openssh-3.6.1p2-18
openssh-server-3.6.1p2-18
openssh-clients-3.6.1p2-18

I wasn't able to reproduce this by copying over nfs--so far, scp'ing only.
Comment 1 rob lojek 2004-07-16 19:20:47 EDT
SOLUTION:  move to e100 driver.

repro'd the above problem with the latest kernel
(kernel-smp-2.4.21-15.0.3.EL.i686.rpm) & eepro100. e100 under either
kernel gets rid of the problem. 

Feel free to close.
Comment 4 Ernie Petrides 2005-03-02 13:33:22 EST
Please use e100 driver instead.

Note You need to log in before you can comment on or make changes to this bug.